package com.engine.kq.enums;

/**
 * 考勤自定义配置枚举
 */
public enum KQSettingsEnum {

  /**
   * 控制是否显示 请假类型里的单位
   */
    LEAVETYPE_UNIT("leavetype_unit","1", ""+weaver.systeminfo.SystemEnv.getHtmlLabelName(10005345,weaver.general.ThreadVarLanguage.getLang())+",1"+weaver.systeminfo.SystemEnv.getHtmlLabelName(10005346,weaver.general.ThreadVarLanguage.getLang())+"","","","");

  /**
   * 全局设置key
   */
  private String main_key;

  /**
   * 全局设置val
   */
  private String main_val;

  /**
   * 全局设置文字描述
   */
  private String main_desc;

  /**
   * 全局设置下的具体页面 key
   */
  private String sub_fun_key;

  /**
   * 全局设置下的具体页面 val
   */
  private String sub_fun_val;

  /**
   * 全局设置下的具体页面 文字描述
   */
  private String sub_fun_desc;
  /**
   *
   * @param main_key
   * @param main_val
   * @param main_desc
   * @param sub_fun_key
   * @param sub_fun_val
   * @param sub_fun_desc
   */
  KQSettingsEnum(String main_key,String main_val,String main_desc, String sub_fun_key,String sub_fun_val,String sub_fun_desc) {
    this.main_key = main_key;
    this.main_val = main_val;
    this.main_desc = main_desc;
    this.sub_fun_key = sub_fun_key;
    this.sub_fun_val = sub_fun_val;
    this.sub_fun_desc = sub_fun_desc;
  }

  public String getMain_key() {
    return main_key;
  }

  public void setMain_key(String main_key) {
    this.main_key = main_key;
  }

  public String getMain_val() {
    return main_val;
  }

  public void setMain_val(String main_val) {
    this.main_val = main_val;
  }

  public String getMain_desc() {
    return main_desc;
  }

  public void setMain_desc(String main_desc) {
    this.main_desc = main_desc;
  }

  public String getSub_fun_key() {
    return sub_fun_key;
  }

  public void setSub_fun_key(String sub_fun_key) {
    this.sub_fun_key = sub_fun_key;
  }

  public String getSub_fun_val() {
    return sub_fun_val;
  }

  public void setSub_fun_val(String sub_fun_val) {
    this.sub_fun_val = sub_fun_val;
  }

  public String getSub_fun_desc() {
    return sub_fun_desc;
  }

  public void setSub_fun_desc(String sub_fun_desc) {
    this.sub_fun_desc = sub_fun_desc;
  }}
